Canalplan Bug Tracker



Anonymous Login
2019-06-20 06:49 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000321Canalplan Route Planningpublic2019-05-21 17:30
Reporteruser3 
Assigned ToNick Atty 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000321: Consider interaction of user-selected overnight stop and flights/embankments etc
DescriptionRoute planning moves overnight stops when it shouldn't
Steps To ReproducePlan a route which involves stopping at Nantwich Visitor Moorings (South) over night.

Canalplan will move your overnight back to Marsh Lane Bridge 91 to avoid stopping on an embankment.

TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0001271

Nick Atty (administrator)

Do you think that setting an overnight stop should override the "avoid stopping in lockflight etc" function?

If so it's a code change. If not, the easy fix is to mark the Natwich visitor moorings as a "haven".

~0001272

Stephen Atty (administrator)

How easy would it be to make it that ALL visitor moorings are marked as havens automatically>

So if a place is marked as a Visitor moorings in its list of particular types then its set as a haven

~0001273

Shultzy (updater)

Is it worth putting a tick box in planning a route [Moor overnight only at visitor moorings] or [Moor anywhere overnight]?

~0001274

Stephen Atty (administrator)

Lets discuss it on the boat.......

~0001276

Nick Atty (administrator)

Changed title to better reflect what we are talking about. Generally I think this is something that will be reliant on getting getting mooring data. So far my "make it really easy to edit access" hasn't picked up the way I wanted, so I'm somewhat sceptical of moorings working, but we'll see.

I'm therefore lowing the priority as well, as it is dependent on a lot of manual data editing.

~0002385

Nick Atty (administrator)

Last edited: 2019-04-21 17:02

View 2 revisions

Having thought about this, I think the best approach is to treat anything marked as a reasonable quality mooring as somewhere you can stop. This turned out to be a minor piece of coding. So we treat "official moorings" and anything with a mooring quality of "OK" or better the same as "haven"s, and allow stopping there.

At stage I'll write some code to suggest nearby moorings (a bit like winding holes) which will be useful before we have the level of mooring data we need to implement "known moorings only" but think this is probably better as a new feature request, which I'll create.

~0002490

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-09 22:47 user3 New Issue
2017-09-09 22:47 user3 Assigned To => Nick Atty
2017-09-09 22:47 user3 Status new => assigned
2017-09-10 07:19 Nick Atty Note Added: 0001271
2017-09-10 08:47 user3 Note Added: 0001272
2017-09-10 12:24 Shultzy Note Added: 0001273
2017-09-10 12:28 user3 Note Added: 0001274
2017-09-12 07:23 Nick Atty Priority normal => low
2017-09-12 07:23 Nick Atty Summary Overnight stops doing odd things => Consider interaction of user-selected overnight stop and flights/embankments etc
2017-09-12 07:23 Nick Atty Note Added: 0001276
2019-04-21 16:27 Nick Atty Note Added: 0002385
2019-04-21 17:02 Nick Atty Note Edited: 0002385 View Revisions
2019-04-21 17:02 Nick Atty Status assigned => resolved
2019-04-21 17:02 Nick Atty Resolution open => fixed
2019-05-21 17:30 Autoclose Note Added: 0002490
2019-05-21 17:30 Autoclose Status resolved => closed
+Issue History